
#include "BasePanelBF.h"
#include "gamebase/GameBase.hpp"
#include "gamebase/PGNGameBase.hpp"
#include "ochess.hpp"

// Foreign events
wxDECLARE_EVENT(NEW_GAME_EVENT, wxCommandEvent);
wxDECLARE_EVENT(REFRESH_TAB_TITLE, wxCommandEvent);

class BaseTab : public BasePanelBF, public TabInfos {
  GameBase *base;
  std::vector<std::uint32_t> deleted;
  std::vector<Game *> edited;
  std::string base_file;

public:
  BaseTab(wxFrame *parent, std::string base_file);
  void ApplyPreferences();
  void LoadFile();
  void OnDelete(wxCommandEvent &event);
  void OnSave(wxCommandEvent &event);
  void OnExport(wxCommandEvent &event);
  void OnOpenGame(wxListEvent &event);
  void OnImport(wxCommandEvent &event);
  void *GetGame() { return (NULL); }
  void *GetBase() { return (base); };
};